Permalink
Browse files

Merge pull request #31236 from y-yagi/use_puma_311_in_new_apps

Use Puma 3.11 in newly generated applications
  • Loading branch information...
guilleiguaran committed Nov 27, 2017
2 parents 959d7f7 + 0d8fd61 commit 28333d62ee15ec95cc4270c880c90f395e075b3b
Showing with 2 additions and 2 deletions.
  1. +1 −1 railties/lib/rails/generators/app_base.rb
  2. +1 −1 railties/test/generators/app_generator_test.rb
@@ -192,7 +192,7 @@ def database_gemfile_entry # :doc:
def webserver_gemfile_entry # :doc:
return [] if options[:skip_puma]
comment = "Use Puma as the app server"
GemfileEntry.new("puma", "~> 3.7", comment)
GemfileEntry.new("puma", "~> 3.11", comment)
end
def include_all_railties? # :doc:
@@ -457,7 +457,7 @@ def test_config_jdbc_database_when_no_option_given
def test_generator_defaults_to_puma_version
run_generator [destination_root]
assert_gem "puma", "'~> 3.7'"
assert_gem "puma", "'~> 3.11'"
end
def test_generator_if_skip_puma_is_given

0 comments on commit 28333d6

Please sign in to comment.